View Issue Details

IDProjectCategoryView StatusLast Update
0034442FPCCompilerpublic2021-04-11 11:59
ReporterDavid Jenkins Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOSMacOS 
Product Version3.3.1 
Fixed in Version3.2.0 
Summary0034442: Error: (1026) Compilation raised exception internally
DescriptionWhen building code that uses Indy10 source compiler errors out with following message:

/Volumes/scooters$/David/IdInternalCompErr/./iD/IdFTPListParseMusic.pas(137,19) Error: (1026) Compilation raised exception internally
Fatal: (1018) Compilation aborted
An unhandled exception occurred at $00000001052776FF:
EAccessViolation: Access violation
  $00000001052776FF
Steps To ReproduceTry to build attached project (all necessary Indy10 files included)
Additional InformationThe following code line causes the problem

IdFTPListParseMusic.pas:137

  LI.RecFormat := ExtractRecFormat(StripNo(LTmp));

LTmp is a string. StripNo() returns a string. If change the code to

s := StripNo(LTmp);
 LI.RecFormat := ExtractRecFormat(s);

There is no error
TagsNo tags attached.
Fixed in Revision40008,41249
FPCOldBugId
FPCTarget-
Attached Files

Activities

David Jenkins

2018-10-19 21:31

reporter  

IdInternalCompErr.zip (299,511 bytes)

David Jenkins

2018-11-07 21:05

reporter   ~0111847

Tested. Works.

Issue History

Date Modified Username Field Change
2018-10-19 21:31 David Jenkins New Issue
2018-10-19 21:31 David Jenkins File Added: IdInternalCompErr.zip
2018-10-21 15:54 Jonas Maebe Fixed in Revision => 40008
2018-10-21 15:54 Jonas Maebe Status new => resolved
2018-10-21 15:54 Jonas Maebe Resolution open => fixed
2018-10-21 15:54 Jonas Maebe Assigned To => Jonas Maebe
2018-10-21 17:34 Jonas Maebe Fixed in Version => 3.3.1
2018-11-07 21:05 David Jenkins Note Added: 0111847
2018-11-07 21:05 David Jenkins Status resolved => closed
2021-04-11 11:59 Jonas Maebe Fixed in Version 3.3.1 => 3.2.0
2021-04-11 11:59 Jonas Maebe Fixed in Revision 40008 => 40008,41249
2021-04-11 11:59 Jonas Maebe FPCTarget => -